# GimpUi.PatternChooser

    const GimpUi = imports.gi.GimpUi;

    let patternChooser = new GimpUi.PatternChooser();

A button which pops up a pattern selection dialog.

Note that this widget draws itself using `GEGL` code. You **must** call [func@Gegl.init] first to be able to use this chooser.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.ResourceChooser
            - GimpUi.PatternChooser

## Constructors

- GimpUi.PatternChooser.new